Package com.independentsoft.office.spreadsheet

# Class SortCondition

java.lang.Object
com.independentsoft.office.spreadsheet.SortCondition

public class SortCondition extends Object
The Class SortCondition.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SortCondition()`
  Instantiates a new sort condition.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SortCondition`
  `clone()`
  `String`
  `getCustomList()`
  Gets the custom list.
  `int`
  `getFormatID()`
  Gets the format id.
  `int`
  `getIconID()`
  Gets the icon id.
  `IconSetType`
  `getIconSetType()`
  Gets the icon set type.
  `String`
  `getReference()`
  Gets the reference.
  `SortBy`
  `getSortBy()`
  Gets the sort by.
  `boolean`
  `isDescending()`
  Checks if is descending.
  `void`
  `setCustomList​(String customList)`
  Sets the custom list.
  `void`
  `setDescending​(boolean descending)`
  Sets the descending.
  `void`
  `setFormatID​(int formatID)`
  Sets the format id.
  `void`
  `setIconID​(int iconID)`
  Sets the icon id.
  `void`
  `setIconSetType​(IconSetType iconSetType)`
  Sets the icon set type.
  `void`
  `setReference​(String reference)`
  Sets the reference.
  `void`
  `setSortBy​(SortBy sortBy)`
  Sets the sort by.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SortCondition

    public SortCondition()
    Instantiates a new sort condition.

- ## Method Details

  - ### clone

    public SortCondition clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getCustomList

    public String getCustomList()
    Gets the custom list.
    Returns:
      the custom list

  - ### setCustomList

    public void setCustomList​(String customList)
    Sets the custom list.
    Parameters:
      `customList` - the new custom list

  - ### isDescending

    public boolean isDescending()
    Checks if is descending.
    Returns:
      true, if is descending

  - ### setDescending

    public void setDescending​(boolean descending)
    Sets the descending.
    Parameters:
      `descending` - the new descending

  - ### getFormatID

    public int getFormatID()
    Gets the format id.
    Returns:
      the format id

  - ### setFormatID

    public void setFormatID​(int formatID)
    Sets the format id.
    Parameters:
      `formatID` - the new format id

  - ### getIconID

    public int getIconID()
    Gets the icon id.
    Returns:
      the icon id

  - ### setIconID

    public void setIconID​(int iconID)
    Sets the icon id.
    Parameters:
      `iconID` - the new icon id

  - ### getIconSetType

    public IconSetType getIconSetType()
    Gets the icon set type.
    Returns:
      the icon set type

  - ### setIconSetType

    public void setIconSetType​(IconSetType iconSetType)
    Sets the icon set type.
    Parameters:
      `iconSetType` - the new icon set type

  - ### getReference

    public String getReference()
    Gets the reference.
    Returns:
      the reference

  - ### setReference

    public void setReference​(String reference)
    Sets the reference.
    Parameters:
      `reference` - the new reference

  - ### getSortBy

    public SortBy getSortBy()
    Gets the sort by.
    Returns:
      the sort by

  - ### setSortBy

    public void setSortBy​(SortBy sortBy)
    Sets the sort by.
    Parameters:
      `sortBy` - the new sort by